using CaosDB
using Test

# Test whether retrieving the libcaosdb version works as expected
@test CaosDB.get_libcaosdb_version() != Nothing
@test length(split(CaosDB.get_libcaosdb_version(), ".")) == 3
@test split(CaosDB.get_libcaosdb_version(), ".")[1] ==
      string(CaosDB.get_libcaosdb_version_major())
@test split(CaosDB.get_libcaosdb_version(), ".")[2] ==
      string(CaosDB.get_libcaosdb_version_minor())
@test split(CaosDB.get_libcaosdb_version(), ".")[3] ==
      string(CaosDB.get_libcaosdb_version_patch())
